Package org.apache.ignite.table

# Class QualifiedNameHelper

java.lang.Object
org.apache.ignite.table.QualifiedNameHelper

public final class QualifiedNameHelper extends Object
Utility class to provide direct access to internals of `QualifiedName`.

## Method Summary

Modifier and Type
Method
Description
`static org.apache.ignite.table.QualifiedName`
`fromNormalized(@Nullable String schemaName, String tableName)`
Return QualifiedName from a given schema and table names.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fromNormalized

public static org.apache.ignite.table.QualifiedName fromNormalized(@Nullable @Nullable String schemaName, String tableName)
Return QualifiedName from a given schema and table names.

Given names are expected to be normalized, thus it's up to caller to invoke `IgniteNameUtils.parseIdentifier(String)` prior passing the names to this method.

Parameters:
  `schemaName` - Normalized schema name.
  `tableName` - Normalized table name.
Returns:
  Qualified name.